Quassel IRC - Bug #727

regular away-status change ...
06/22/2009 05:51 PM - m4yer

Status: Rejected Start date: 06/22/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5-pre 0S: Any
Description

quassel is changing it's away-status every 5 minutes to available and back to away, if the user is not connected to the core.

can be seen in querys from other clients, here is a log from colloquy:
2009-06-22 17:25:39 <mdyer> is now available.

2009-06-22 17:25:39 <mdyer> is marked as away.

2009-06-22 17:30:36 <m4yer> is now available.

2009-06-22 17:30:36 <m4yer> is marked as away.

2009-06-22 17:35:38 <mdyer> is now available.

2009-06-22 17:35:38 <m4yer> is marked as away.

History

#1 - 06/22/2009 08:44 PM - EgS
- Status changed from New to Rejected
There is no timer in Quassel that triggers an away (or unaway).

What you see here is just simply the behavior of Colloquy. On networks not supporting WATCH Colloguy checks every 5 minutes via ISON if the
query partner is online.

2009-06-22 17:25:39 <m4yer> is now available.
this message is the result of the RPL_ISON (note: it doesn't read "is no longer away").

2009-06-22 17:25:39 <m4yer> is marked as away.
Colloquy also checks the status of the query partner regularly via WHOIS. This message is the result of the WHOIS reply.

You can easily confirm this behavior by opening Colloquy's "Console" to check the raw irc messages going in and out.
